%define modname ps
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A53_%{modname}.ini

Summary:	An extension to create PostScript files for php
Name:		php-%{modname}
Version:	1.3.6
Release:	%mkrel 9
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/%{modname}
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
BuildRequires:	php-devel >= 3:5.2.0
BuildRequires:	libpslib-devel >= 0.4.1
BuildRequires:	libgd-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
ps is an extension similar to the pdf extension but for creating PostScript
files. Its api is modelled after the pdf extension.

%prep

%setup -q -n %{modname}-%{version}
[ "../package.xml" != "/" ] && mv ../package.xml .

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}
%make

mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%post
if [ -f /var/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart >/dev/null || :
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f /var/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart >/dev/null || :
    fi
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CREDITS tests examples package.xml
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}


%changelog
* Sun Mar 01 2009 Oden Eriksson <oeriksson@mandriva.com> 1.3.6-9mdv2009.1
+ Revision: 346597
- rebuilt for php-5.2.9

* Tue Feb 17 2009 Oden Eriksson <oeriksson@mandriva.com> 1.3.6-8mdv2009.1
+ Revision: 341788
- rebuilt against php-5.2.9RC2

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 1.3.6-7mdv2009.1
+ Revision: 323036
- rebuild

* Fri Dec 05 2008 Oden Eriksson <oeriksson@mandriva.com> 1.3.6-6mdv2009.1
+ Revision: 310297
- rebuilt against php-5.2.7

* Fri Jul 18 2008 Oden Eriksson <oeriksson@mandriva.com> 1.3.6-5mdv2009.0
+ Revision: 238421
- rebuild

* Fri May 02 2008 Oden Eriksson <oeriksson@mandriva.com> 1.3.6-4mdv2009.0
+ Revision: 200260
- rebuilt for php-5.2.6

* Sun Feb 17 2008 Oden Eriksson <oeriksson@mandriva.com> 1.3.6-3mdv2008.1
+ Revision: 169562
- fix deps

* Mon Feb 04 2008 Oden Eriksson <oeriksson@mandriva.com> 1.3.6-2mdv2008.1
+ Revision: 162235
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Nov 27 2007 Oden Eriksson <oeriksson@mandriva.com> 1.3.6-1mdv2008.1
+ Revision: 113374
- 1.3.6

* Sun Nov 11 2007 Oden Eriksson <oeriksson@mandriva.com> 1.3.5-3mdv2008.1
+ Revision: 107710
- restart apache if needed

* Sat Sep 01 2007 Oden Eriksson <oeriksson@mandriva.com> 1.3.5-2mdv2008.0
+ Revision: 77568
- rebuilt against php-5.2.4

* Fri Jul 13 2007 Oden Eriksson <oeriksson@mandriva.com> 1.3.5-1mdv2008.0
+ Revision: 51779
- fix deps
- use the new %%serverbuild macro
- 1.3.5

* Thu Jun 14 2007 Oden Eriksson <oeriksson@mandriva.com> 1.3.4-7mdv2008.0
+ Revision: 39516
- use distro conditional -fstack-protector

* Fri Jun 01 2007 Oden Eriksson <oeriksson@mandriva.com> 1.3.4-6mdv2008.0
+ Revision: 33869
- rebuilt against new upstream version (5.2.3)

* Thu May 03 2007 Oden Eriksson <oeriksson@mandriva.com> 1.3.4-5mdv2008.0
+ Revision: 21349
- rebuilt against new upstream version (5.2.2)


* Thu Feb 08 2007 Oden Eriksson <oeriksson@mandriva.com> 1.3.4-4mdv2007.0
+ Revision: 117607
- rebuilt against new upstream version (5.2.1)

* Wed Nov 08 2006 Oden Eriksson <oeriksson@mandriva.com> 1.3.4-3mdv2007.0
+ Revision: 78097
- rebuilt for php-5.2.0
- Import php-ps

* Mon Aug 28 2006 Oden Eriksson <oeriksson@mandriva.com> 1.3.4-2
- rebuilt for php-5.1.6

* Fri Aug 04 2006 Oden Eriksson <oeriksson@mandriva.com> 1.3.4-1mdv2007.0
- initial Mandriva package

